Subject: Re: network interface cards native vlans support in linux kernel?

From: Ben Greear <[email-masked]>
Date: Fri, 11 Jul 2003 10:11:57 -0700

Andrius Kasparavicius wrote:
> on vanilla linux kernel, eepro doesn't work, and with 1496 mtu, 8139too
> works with any mtu (and 1500).
> 
> which is recommended to use, e100 or eepro100?

As I mentioned, the e100 (intel's driver) is the one I recommend.

eepro100 does not seem to be updated in the kernel anymore, though if you go figure
out how to install Becker's drivers, he may have it working with vlans
by now.

Ben

> 
> Andrius.
> 
> On Wed, 9 Jul 2003, Ben Greear wrote:
> 
> 
>>>is there any problems to include full vlans support?
>>
>>Intel's e100 driver (and all NICs supported by it) support vlans
>>fine, as do most of the GigE NICs.  Tulip does not, last I hear, though
>>a work-around patch has been around forever.  Realtek worked at one time,
>>not sure about now though...
> 
> 

-- 
Ben Greear <[email-masked]>       <Ben_Greear AT excite.com>
President of Candela Technologies Inc      http://www.candelatech.com
ScryMUD:  http://scry.wanfear.com     http://scry.wanfear.com/~greear